View Issue Details

IDProjectCategoryView StatusLast Update
0001030SOGoSOPEpublic2011-03-30 14:24
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Target VersionFixed in Version1.3.6 
Summary0001030: fix configure to not create variables with spaces on OpenBSD
Descriptionattached patch stops configure to create a variable with a space. Actually I introduced this some years ago, since there it was needed when linking against -lssl to also link against -lcrypto. Now its not needed anymore, and it produces problems with newer gmake later when compiling.
Additional InformationThis should only affect OpenBSD. The patch may apply with some fuzz, when the patch to bug 0000842 is not applied before.
TagsNo tags attached.

Activities

2010-12-03 02:47

 

patch-configure-checkLinking (752 bytes)
$OpenBSD: patch-configure,v 1.2 2010/10/25 09:59:02 sebastia Exp $

remove unused ssl check that generates a make variable with whitespace in
its name

--- configure.orig	Thu Aug 19 17:13:13 2010
+++ configure	Sun Oct 24 19:22:44 2010
@@ -469,11 +470,7 @@ checkDependencies() {
   cfgwrite "# library dependencies"
   checkLinking "xml2"        optional;
   checkLinking "ldap"        optional;
-  if [ `uname` = "OpenBSD" ];then
-    checkLinking "ssl crypto"  required; # TODO: make optional
-  else
-    checkLinking "ssl"         required; # TODO: make optional
-  fi
+  checkLinking "ssl"         required; # TODO: make optional
   checkLinking "pq"          optional;
 #  checkLinking "sqlite3"     optional;
   cfgwrite "HAS_LIBRARY_sqlite3=no"
wsourdeau

wsourdeau

2011-03-30 14:24

viewer   ~0002318

Fixed in 559ec44990593b5f87e22dac3a519a11311555ad. Thanks!

Issue History

Date Modified Username Field Change
2010-12-03 02:47 buzzdee New Issue
2010-12-03 02:47 buzzdee File Added: patch-configure-checkLinking
2011-02-15 17:02 ludovic Status new => assigned
2011-02-15 17:02 ludovic Assigned To => ludovic
2011-03-30 14:24 wsourdeau Note Added: 0002318
2011-03-30 14:24 wsourdeau Status assigned => resolved
2011-03-30 14:24 wsourdeau Fixed in Version => 1.3.6
2011-03-30 14:24 wsourdeau Resolution open => fixed